package main

import (
	"context"
	"git.icechen.cn/${REPO_NAME}/${REPO_NAME}/pkg/proto/example_service"
	"git.icechen.cn/${REPO_NAME}/${REPO_NAME}/pkg/rpc"
	"google.golang.org/protobuf/types/known/emptypb"
)

func main() {
	app := fiber.New()
	app.Get("/test", func(c *fiber.Ctx) error {
		userInfo, err := example_service.NewUserClient(rpc.GetServiceConn("example_service")).SayHello(context.TODO(), &emptypb.Empty{})
		if err != nil {
			return err
		}

		return c.JSON(userInfo.Name)
	})
	err := app.Listen(":8080")
	if err != nil {
		panic(err)
	}
}
